CFC008 — Controle de Cobrança
Fonte
- Source:
source/CFC008/
Objetivo
O módulo CFC008 - Controle de Cobranca e uma ferramenta abrangente de gestao de cobranca que permite ao usuario consultar, acompanhar e gerenciar a situacao financeira dos clientes da empresa. Ele centraliza informacoes de duplicatas vencidas, a vencer, liquidadas e canceladas, oferecendo uma visao completa do cenario de inadimplencia.
O módulo e organizado em quatro abas principais: Filtros para Consulta, Cliente, Contas e Agenda. A aba de filtros permite ao usuario definir criterios detalhados para localizar clientes com pendencias financeiras, incluindo filtros por empresa, datas de emissao e vencimento, cobradores, tipos de conta, vendedores, documentos especificos, situacao de SCPC, cartorio e pendencia. A aba de clientes apresenta o resultado consolidado, exibindo informacoes cadastrais e indicadores financeiros como maior vencimento, total de duplicatas vencidas e a vencer, media de atraso, historico de compras e pagamentos.
A aba de contas detalha todas as duplicatas do cliente selecionado, com codificacao por cores que permite identificar rapidamente a situacao de cada titulo (vencido, vencendo hoje, liquidado, em cartorio, protestado, juridico, cancelado). O usuario pode marcar/desmarcar contas para totalizar valores selecionados. A aba de agenda registra o historico de contatos e acompanhamento da cobranca.
Alem das funcoes de consulta, o módulo permite registrar dados de contato de cobranca (data de contato, nome do contato e data de retorno), salvar observacoes em contas individuais e acessar diretamente outros módulos do sistema como consulta de notas fiscais (CNF001), cadastro de pessoas (TFA001), consulta financeira (CFC001) e agenda (TFA016).
Funcionalidades
- Filtros Avancados de Consulta
- Visualizacao Consolidada de Clientes
- Detalhamento de Contas do Cliente
- Codificacao Visual por Cores nas Contas
- Marcacao e Totalizacao de Contas
- Registro de Dados de Cobranca
- Observacoes de Contas
- Agenda de Cobranca
- Acesso Direto a Outros Módulos
- Ordenacao de Grids
Quando usar?
O módulo CFC008 - Controle de Cobranca e uma ferramenta abrangente de gestao de cobranca que permite ao usuario consultar, acompanhar e gerenciar a situacao financeira dos clientes da empresa.
Para que usar?
Ele centraliza informacoes de duplicatas vencidas, a vencer, liquidadas e canceladas, oferecendo uma visao completa do cenario de inadimplencia.
Filtros
Campos simples:
- Data (De / Até)
- Vencimento (De / Até)
- SCPC Pessoa (Sim / Não / Todos)
- Situação em Cartório (Em Cartório / Protestado / Jurídico / Todos)
- Empresa F9
- Forma Pagto F9
- Dias Atraso
Filtros de grid (multi-seleção via F9):
- Pessoas Física / Jurídica — F9 — multi-seleção
Atenção: Empresa é obrigatória para executar a consulta.
Mensagens exibidas
Levantadas de source/CFC008/ pela camada 0 (commit 96fc51e236).
| Código | Tipo | Mensagem |
|---|---|---|
| W-0457 | Aviso | O usuário não possui acesso a tela de cadastro de Pessoas [TFA001]! |
| W-1412 | Aviso | O Usuário não possui Acesso a Consulta de Notas Fiscais! CNF001] |
| W-1590 | Aviso | O usuário não possui acesso a tela Consulta Contas / Cheques / Adiantamentos! [CFC001] |
| W-1680 | Aviso | O Usuário não possui acesso a tela Agenda de Pessoas! [TFA016] |
Mais 14 mensagens com texto literal no código: CFC008.
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | SELECT, UPDATE |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
| TIPOCONTA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| AGENDAPESSOA | SELECT |
| BANCO | SELECT |
| EMPRESA | SELECT |
| FORMAPAGTO | SELECT |
| JURO | SELECT |
| NOTA | SELECT |
| PARMFINANC | SELECT |
| USUARIO | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| CALCULA_JUROMORA | CONTAS (SELECT), CONTASHISTORICO (SELECT), CREDITO (SELECT), HISTORICO (SELECT), JURO (SELECT), MOVTOPROCESSO (SELECT) +3 |
| RETORNA_BAIXACONTAS | CONTAS (SELECT), CONTASHISTORICO (SELECT), MOVTOPROCESSO (SELECT), PROCESSO (SELECT) |
| VIEW_CFC008 | CONTAS (SELECT), CREDITO (SELECT), ENDERECOPESSOA (SELECT), HISTORICO (SELECT), MOVTOPROCESSO (SELECT), MUNICIPIO (SELECT) +4 |
| VIEW_TIPOCONTASUSUARIO | PARMFINANC (SELECT), TIPOCONTARESTRITA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| CONTAS | SELECT |
| CONTASHISTORICO | SELECT |
| CREDITO | SELECT |
| ENDERECOPESSOA | SELECT |
| HISTORICO | SELECT |
| JURO | SELECT |
| MOVTOPROCESSO | SELECT |
| MUNICIPIO | SELECT |
| PARMFINANC | SELECT |
| PESSOA | SELECT |
| PROCESSO | SELECT |
| SESSAO | SELECT |
| TIPOCONTA | SELECT |
| TIPOCONTARESTRITA | SELECT |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |